Public Member Functions

# BinNavi.API.disassembly.Trace Class Reference

A single debug trace. More...

Inherits BinNavi::APIHelpers::ApiObject< CTraceList >.

List of all members.

## Public Member Functions
void | addEvent (final int tid, final Module module, final Address address, final TraceEventType type)
| Adds an event to the trace.
void | addListener (final ITraceListener listener)
| Adds a trace listener.
String | getDescription ()
| Trace description.
List< TraceEvent > | getEvents ()
| Events that belong to the trace.
String | getName ()
| Trace name.
void | removeListener (final ITraceListener listener)
| Removes a trace listener.
void | save () throws CouldntSaveDataException
| Saves the trace to the database.
void | setDescription (final String description) throws CouldntSaveDataException
| Changes the trace description.
void | setName (final String name) throws CouldntSaveDataException
| Changes the trace name.
String | toString ()
| Printable representation of the trace.

## Detailed Description

Represents a single debug trace. A debug trace is a list of debug events (generally echo breakpoint hits) which is recorded by the debugger and saved to the database.

## Member Function Documentation

void BinNavi.API.disassembly.Trace.addEvent | ( | final int | tid,
|  | final Module | module,
|  | final Address | address,
|  | final TraceEventType | type |
| ) |  |  |

Adds a regular breakpoint event to the trace.

Parameters:

  | tid | The thread ID of the thread that caused the event.
  | module | The module the address belongs to. This argument can be null.
  | address | The address of the event.
  | type | Type of the event.

void BinNavi.API.disassembly.Trace.addListener | ( | final ITraceListener | listener | ) |

Adds an object that is notified about changes in the trace.

Parameters:

  | listener | The listener object that is notified about changes in the trace.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the trace.

String BinNavi.API.disassembly.Trace.getDescription | ( |  | ) |

Returns the description of the trace.

Returns:
  The description of the trace.

List<TraceEvent> BinNavi.API.disassembly.Trace.getEvents | ( |  | ) |

Returns the debug events that were recorded during the trace.

Returns:
  A list of trace events.

String BinNavi.API.disassembly.Trace.getName | ( |  | ) |

Returns the name of the trace.

Returns:
  The name of the trace.

void BinNavi.API.disassembly.Trace.removeListener | ( | final ITraceListener | listener | ) |

Removes a listener object from the trace.

Parameters:

  | listener | The listener object to remove from the trace.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the trace.

void BinNavi.API.disassembly.Trace.save | ( |  | ) | throws CouldntSaveDataException

Saves the trace to the database.

Exceptions:

  | CouldntSaveDataException | Thrown if the trace could not be saved.

void BinNavi.API.disassembly.Trace.setDescription | ( | final String | description | ) | throws CouldntSaveDataException

Changes the description of the trace.

Parameters:

  | description | The new description of the trace.

Exceptions:

  | CouldntSaveDataException | Thrown if the new description could not be saved to the database.

void BinNavi.API.disassembly.Trace.setName | ( | final String | name | ) | throws CouldntSaveDataException

Changes the name of the trace.

Parameters:

  | name | The new name of the trace.

Exceptions:

  | CouldntSaveDataException | Thrown if the new name could not be saved to the database

String BinNavi.API.disassembly.Trace.toString | ( |  | ) |

Returns a string representation of the trace.

Returns:
  A string representation of the trace.